// trcwnd.h : header file
//                                    
/////////////////////////////////////////////////////////////////////////////
// CAdvanceWnd frame
class CAdvanceWnd : public CWnd
{
public:
	CAdvanceWnd(LPSTR lpLIB,LPSTR lpBit);			// protected constructor used by dynamic creation
    CAdvanceWnd(HINSTANCE hInst,LPSTR lpBit);
    void CreateTrace(CRect &rect);
// Attributes
private:
  int       m_nOrgx;
  int       m_nOrgy;  
  HINSTANCE m_hInst;
  HBITMAP   m_hBit;
// Operations
public:
void SetArrow(int orgx,int orgy);
BOOL LoadMsg(LPSTR lpMsg,int orgx=4, int orgy=23, BOOL  bPaint=1);
virtual BOOL PreTranslateMessage(MSG *pMsg);
// Implementation
protected:
	virtual ~CAdvanceWnd();

	// Generated message map functions
	//{{AFX_MSG(CAdvanceWnd)
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
